import {ModelComponent} from "../../ModelComponent";
import {GameModel} from "../../GameModel";
import {Overview} from "../../../../side-overviews/Overview";

export abstract class ModelComponentCreator {
  context: string;
  gameModel: GameModel
  selectedComponent: ModelComponent | undefined


  protected constructor(context: string, gameModel: GameModel, selectedComponent: ModelComponent | undefined) {
    this.context = context;
    this.gameModel = gameModel;
    this.selectedComponent = selectedComponent;
  }

  abstract createModelComponent(): ModelComponent | undefined;
}
